1. Pages
Lnk.Bio
  • Getting Started
    • Introduction
    • Endpoints
    • Authorization
    • Private Apps
      • Introduction
      • Create a Private App
      • Generate an Access Token
    • Public Apps
      • Introduction
      • Create a Public App
      • Generate an Access Token
  • API Methods
    • Me
      • Retrieve basic profile info
      • Update profile picture
    • Lnks
      • Retrieve list of current Lnks
      • Create a new Lnk
      • Delete an existing Lnk
      • Edit an existing Lnk
      • Bulk reorder Lnks
    • Groups
      • Retrieve list of Lnk Groups
    • Style
      • Get current style
      • Set profile colors
      • Set profile fonts
      • Set profile wallpapers
      • Apply a free theme
      • Reset theme to defaults
      • List available fonts
      • List available free themes
    • Pages
      • List all pages
        GET
      • Create a new page
        POST
      • Edit an existing page
        POST
      • Reorder pages
        POST
    • Blocks
      • Icons
        • Add an icon to a BLOCK_ICONS block
        • Edit an icon in a BLOCK_ICONS block
        • Search available icons
        • Delete an icon from a BLOCK_ICONS block
        • Sort icons within a BLOCK_ICONS block
      • Forms
        • List available forms
      • List blocks in a page
      • List supported block types
      • Add a block to a page
      • Delete a block from a page
      • Reorder blocks in a page
  • Schemas
    • Lnk
    • SuccessResponse
    • PageSummary
    • StyleData
    • BlockSummary
    • Font
    • FormSummary
    • ThemeSummary
    • BlockType
    • IconSummary
  1. Pages

List all pages

GET
https://lnk.bio/oauth/v1/page/list
Returns all pages for the authenticated user, including their position and visibility status. Also returns the remaining page quota based on the current subscription plan.

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://lnk.bio/manage/access
Token URL: https://lnk.bio/oauth/token
or

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://lnk.bio/oauth/v1/page/list'

Responses

🟢200
application/json
Successful response
Body

Example
{
    "status": true,
    "data": {
        "pages": [
            {
                "page_id": "PAGE_ABOUT_6612a3b4c5d6e",
                "title": "My About Page",
                "url": "about-me",
                "position": 1,
                "is_hidden": false
            }
        ],
        "remaining_pages": 7,
        "max_pages": 10
    }
}
🟠401Unauthorized
Modified at 2026-04-11 06:24:49
Previous
List available free themes
Next
Create a new page
Built with